Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • (in addition to the usual extra lib bundling and toolchain updates)
    Will these include fixing the compiler chain to work under Vista? I realize that the OS is held in low esteem by just about everyone, but its out there and it's being used. What can I do to help? I keep trying various fixes I find on google vis-a-vis putting the parts of the tool chain explicitly in the PATH, but I still cannot compile consistently.
    --
    "If you were supposed to understand it, we wouldn't call it code." - FedEx
    • Support for Vista will arrive as soon as the mingw bits and pieces become Vista-compliant.

      In the last week of March, there was a supposed-compatible release of the MinGW tools, but instead of making the default releases compatible, there's an ALTERNATIVE Vista package.

      So if you wanted to get started, I would checkout Perl::Dist, add a vista => 1 property to the constructor, and then start modifying the "install_mingw" type methods to install the regular or vista version depending on vista or not.
      • by persicom (321) on 2008.04.15 19:35 (#62232)
        Hmm. I guess I need to look at the current installation to see which stuff is installed. Then I guess I install MinGW, copy the pieces we need and build another installation? Ok, let me see what I can do. I did not see evidence of an ALTERNATE Vista install at the Sourceforge site. Maybe it becomes evident with the installer.
        --
        "If you were supposed to understand it, we wouldn't call it code." - FedEx